# Trait yii\apidoc\helpers\ApiMarkdownTrait

Implemented by | yii\apidoc\helpers\ApiMarkdown, yii\apidoc\helpers\ApiMarkdownLaTeX
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/helpers/ApiMarkdownTrait.php

Class ApiMarkdownTrait

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$renderingContext | yii\apidoc\models\TypeDoc |  | yii\apidoc\helpers\ApiMarkdownTrait

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
consumeQuote() | Consume lines for a blockquote element | yii\apidoc\helpers\ApiMarkdownTrait
parseApiLinkForContext() | Attempts to parse an API link for the given context. | yii\apidoc\helpers\ApiMarkdownTrait
parseApiLinks() |  | yii\apidoc\helpers\ApiMarkdownTrait
renderApiLink() | Renders API link | yii\apidoc\helpers\ApiMarkdownTrait
renderBrokenApiLink() | Renders API link that is broken i.e. points nowhere | yii\apidoc\helpers\ApiMarkdownTrait
renderQuote() | Renders a blockquote | yii\apidoc\helpers\ApiMarkdownTrait
translateBlockType() |  | yii\apidoc\helpers\ApiMarkdownTrait

## Property Details

$renderingContext public property
public yii\apidoc\models\TypeDoc $renderingContext = null

## Method Details

consumeQuote() protected method

Consume lines for a blockquote element

protected void consumeQuote ( $lines, $current )
$lines |  |
$current |  |

parseApiLinkForContext() protected method (available since version 2.1.3)

Attempts to parse an API link for the given context.

protected array parseApiLinkForContext ( $offset, $object, $title, $context )
$offset | integer |
$object | string |
$title | string|null |
$context | yii\apidoc\models\TypeDoc|null |
throws | yii\apidoc\helpers\BrokenLinkException | if the object can't be resolved

parseApiLinks() protected method

protected void parseApiLinks ( $text )
$text |  |

renderApiLink() protected method

Renders API link

protected string renderApiLink ( $block )
$block | array |

renderBrokenApiLink() protected method

Renders API link that is broken i.e. points nowhere

protected string renderBrokenApiLink ( $block )
$block | array |

renderQuote() protected method

Renders a blockquote

protected void renderQuote ( $block )
$block |  |

translateBlockType() protected abstract method (available since version 2.0.5)

protected abstract void translateBlockType ( $type )
$type |  |